OpenVDB: Divergence< InGridT, MaskGridType, InterruptT > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
Divergence< InGridT, MaskGridType, InterruptT > Class Template Reference

Compute the divergence of a vector grid. More...

`#include <openvdb/tools/GridOperators.h>`

## Classes
struct | Functor

## Public Types
typedef InGridT | InGridType
typedef VectorToScalarConverter< InGridT >::Type | OutGridType

## Public Member Functions
| Divergence (const InGridT &grid, InterruptT *interrupt=nullptr)
| Divergence (const InGridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
OutGridType::Ptr | process (bool threaded=true)

## Protected Attributes
const InGridType & | mInputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Detailed Description

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v12_1::tools::Divergence< InGridT, MaskGridType, InterruptT >

Compute the divergence of a vector grid.

## Member Typedef Documentation

## ◆ InGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef InGridT InGridType

## ◆ OutGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef VectorToScalarConverter<InGridT>::Type OutGridType

## Constructor & Destructor Documentation

## ◆ Divergence() [1/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Divergence | ( | const InGridT & | grid,
|  | InterruptT * | interrupt = nullptr )
| inline

## ◆ Divergence() [2/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Divergence | ( | const InGridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = nullptr )
| inline

## Member Function Documentation

## ◆ process()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr process | ( | bool | threaded = true | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const InGridType& mInputGrid
| protected

## ◆ mInterrupt

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt
| protected

## ◆ mMask

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask
| protected